'use strict';

var Heap = require('qheap');

var N = 1000000;

var data = [];
for (var i = 0; i < N; i++) data[i] = {value: Math.random()};

var q = new Heap({comparBefore: compare});

function compare(a, b) {
    return a.value < b.value;
}

for (i = 0; i < 1000; i++) q.push(data[i]);

console.time('push/pop ' + N);
for (var n = 0; n < 1000; n++) {
    for (i = 0; i < 1000; i++) q.push(data[n * 1000 + i]);
    for (i = 0; i < 1000; i++) q.remove();
}
console.timeEnd('push/pop ' + N);
